Bug 1268960 - Monitoring page indicates 'OK' but monitoring isn't working.
Monitoring page indicates 'OK' but monitoring isn't working.
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Monitoring (Show other bugs)
570
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Grant Gainey
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 14:16 EDT by Joe Kirby
Modified: 2017-04-28 14:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-28 14:25:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
webtrace from enabling monitoring scout (7.08 KB, text/plain)
2015-10-05 14:16 EDT, Joe Kirby
no flags Details

  None (edit)
Description Joe Kirby 2015-10-05 14:16:02 EDT
Created attachment 1080016 [details]
webtrace from enabling monitoring scout

Description of problem:
The monitoring page will show 'OK' for all the clients except one. However, updates are not happening and monitoring doesn't report any probe failures. No probes appear to have been updated since we upgraded from 5.4 in June. The one system that does not show 'OK' seems to have updated last on August 3.

How reproducible:
Consistent

Steps to Reproduce:
Load the monitoring page.

Actual results:
Probes indicate OK, but results never update.

Expected results:
Screen updating based on the state of the probes.

Additional info:
I am only using "Network Service: Ping" probes.
Sometimes, when I go to the Monitoring page, everything shows 'Pending'.

When I disable and re-enable the Monitoring Scout, the attached traceback is generated.
Comment 1 Joe Kirby 2015-10-09 08:47:33 EDT
may be related to 1255400 since is it the same instance.
Comment 2 Joe Kirby 2015-10-12 20:42:32 EDT
This may not have any bearing, but I am seeing the following in the logs:

[Mon Oct 12 20:38:08 2015] [error] ts_db: Cannot POST to http://sat01-gls.redhat.com/tsdb: 403 Forbidden\n<!DOCTYPE HTML PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xml:lang="en" xmlns="http://www.w3.org/1999/xhtml" lang="en"><head>\n<meta http-equiv="content-type" content="text/html; charset=UTF-8">\n    <title>Error</title>\n    <link rel="shortcut icon" href="/img/favicon.ico">\n    <link rel="stylesheet" href="/css/rhn-base.css" type="text/css">\n  <script src="/javascript/prototype-1.6.0.js"></script>\n\n\n\n  </head><body><div class="wrap" id="top-wrap">\n\n\n\n\n\n\n<div id="utility">\n        <div id="utilityLinks">\n<p id="linx"><span class="hide"><strong>Shortcuts:</strong> </span><a href="http://kbase.redhat.com/">Knowledgebase</a> <span class="navPipe">|</span> <a href="/help">Documentation</a></p>\n        </div>\n        <div id="utilityAccount">\n&nbsp;\n        </div>\n\n</div>\n\n<div id="header">\n\t<a href="/"><img src="/img/logo.png" id="rhnLogo"></a>\n <div id="searchbar">\n      <form name="form1" action="/rhn/Search.do" method="post">\n      <select name="search_type">\n\n            <option value="systems">Systems</option>\n\n      <option value="packages">Packages</option>\n      <option value="errata">Errata</option>\n      <option value="docs">Documentation</option>\n      </select><input name="search_string" maxlength="40" size="20" type="text" accesskey="4" autofocus="autofocus">\n\n      <input name="submitted" value="true" type="hidden">\n      <input class="button" name="image-1" value="Search" type="submit" align="top"></form>\n  </div>\n</div>\n\n<div id="navWrap">\n<div id="mainNavWrap">\n\n\n<ul>\n<li id="mainFirst-active"><a href="/">Sign In</a></li>\n\n<li id="mainLast"><a href="/help/about.pxt" class="mainLastLink">About</a></li>\n</ul>\n</div><!-- end mainNavWrap -->\n</div><!-- end navWrap -->\n\n\n\n\n\n\n\n\n<div id="bar">\n\n\n</div>\n<!-- close bar -->\n\n\n\n\n    </div>\n    <div class="wrap" id="bottom-wrap">\n  <div id="content">\n    <table width="100%" cellspacing="0">\n      <tbody><tr>\n        <td class="sidebar">\n\n\n<div id="sidenavp"><ul></ul>\n</div>\n\n\t</td>\n        <td class="page-content" width="100%">\n\n\n      <h1>Permission Error</h1>\n<p>You do not have the appropriate permission set to access the requested page.  You may have reached this error page in one of several ways:</p>\n          <ol>\n            <li>Your login session has expired.  For security reasons, Red Hat\n            Network terminates your login session after 15 minutes of\n            inactivity.  To sign in again, click <a href="/">here</a>.\n            </li>\n            <li>You've found an error in our site. Please contact your Support representative with details of how you received this message.</li>\n            <li>Your browser does not have cookies enabled.  The Red\n            Hat Network requires cookies in order to function; if you\n            have disabled them, please re-enable them to use the site.\n            </li>\n            <li>You've done something naughty.  Stop it.</li>\n          </ol>\n\n\n\t</td>\n      </tr>\n    </tbody></table>\n\n  <div id="footer">\n    Copyright \xc2\xa9 2002&#x2012;12 Red Hat, Inc. All rights reserved. <a href="https://www.redhat.com/legal/privacy_statement.html">Privacy statement</a> : <a href="http://www.redhat.com/legal/legal_statement.html">Legal statement</a> : <a href="http://www.redhat.com/">redhat.com</a>\n  </div>\n\n  </div> <!-- close content -->\n  </div> <!-- close wrap -->\n\n  </body></html>\n
Comment 3 Grant Gainey 2017-04-28 14:25:54 EDT
Monitoring has a number of issues, and is being removed in the upcoming SATELLITE-5.8 release. Closing, WONTFIX

Note You need to log in before you can comment on or make changes to this bug.